/ troubleshooting

Error while loading shared libraries: libgthread-2.0.so.0

Error

$ ./idaq64: error while loading shared libraries: libgthread-2.0.so.0: cannot open shared object file: No such file or directory

Reason

In most of the cases, your program was asking for an i386 version of this lib file, while you only have a 64-bit version. So the program can not find it.

Solution

  • Step 1: Check if you have installed that library
$ dpkg -S libgthread-2.0.so.0 
 libglib2.0-0:amd64: /usr/lib/x86_64-linux-gnu/libgthread-2.0.so.0
  • Step 2: Install 32 bit version
$ apt-get install libglib2.0-0:i386
  • Done

Reference

[ask Ubuntu] Error while loading shared libraries: libgthread-2.0.so.0

Error while loading shared libraries: libgthread-2.0.so.0
Share this